Bug 868058 - wireshark hangs when I try to enter "host <whatever>" capture filter
wireshark hangs when I try to enter "host <whatever>" capture filter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
:
Depends On: 747177
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 22:00 EDT by Jonathan Kamens
Modified: 2016-05-31 21:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 747177
Environment:
Last Closed: 2013-08-01 04:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2012-10-18 22:00:35 EDT
This problem is back in wireshark-1.6.10-1.fc17.x86_64.

+++ This bug was initially created as a clone of Bug #747177 +++

Created attachment 528914 [details]
video of hang

With up-to-date F16 beta:

1. Run wireshark.
2. Select Capture | Options...
3. Select your external network interface.
4. Click in the "Capture Filter:" text box and try to type "host <whatever>", where <whatever> is the host you want to filter on.
5. The text box turns red after you type "host " and then wireshark hangs and you have to kill it.

Video of this sequence is attached.

--- Additional comment from jsafrane@redhat.com on 2011-11-04 09:45:01 EDT ---

It works for me with wireshark-1.6.2-4.fc16.x86_64. Wireshark interactively as you type checks, if 'host whatever' is valid filter, i.e. if 'whatever' can be resolved to IP address. This is usually quick enough so you don't notice it, but if your DNS is in bad shape or down at the moment, it might take some time for wireshark to give up trying.

So, was there something wrong with your DNS? And you might also hit bug #747377, please update your Wireshark to latest version and try again.

--- Additional comment from jik@kamens.brookline.ma.us on 2011-11-04 09:54:30 EDT ---

This was not a DNS issue, it was a hard hang. I never even got to the point of being able to type the host name after I typed "host ". As soon as I typed "host " in the field field, wireshark hung and nothing I did unhung it.

Having said that, you're correct that it appears to be working now with current stuff from F16, so it appears that whatever was broken is now fixed.
Comment 1 Peter Hatina 2012-10-22 04:29:32 EDT
I can not reproduce this issue anymore. Can we consider this fixed?
Comment 2 Jonathan Kamens 2012-10-22 16:36:58 EDT
I saw this happen just a few days ago, which is why I cloned this new bug about it.

I'd like to be able to check again to see if it is still happening for me as of today's F17 updates, but I can't check, because wireshark coredumps on startup because of bug 864324.

Please do not close this bug until bug 864324 is fixed so that I can actually check whether this bug is still occurring for me.
Comment 3 Peter Hatina 2012-10-23 02:18:43 EDT
For temporary workaround, remove package abrt-addon-python. Then the wireshark is able to work properly.
Comment 4 Jonathan Kamens 2012-10-24 22:08:53 EDT
I installed the libsmi update to address bug 864324. After doing that, I can confirm that this bug is still occurring. Once I type "host " in the "Capture Filter" text box after opening the capture options dialog, the text box turns red, wireshark hangs, it stops accepting my keyboard input, and all I can do is force quit it.
Comment 5 Fedora End Of Life 2013-07-03 22:30:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 04:32:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.